Bug 1459980 - [abrt] cinnamon-screensaver: stage.py:401:after_power_state_changed:AttributeError: 'NoneType' object has no attribute 'update_revealed'
[abrt] cinnamon-screensaver: stage.py:401:after_power_state_changed:Attribute...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cinnamon-screensaver (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:33664f6dfbb1596576390cd4fbe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 14:04 EDT by veehexx
Modified: 2017-06-23 16:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: cinnamon-screensaver-3.4.1-1.fc26 cinnamon-screensaver-3.4.1-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-23 10:20:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (559 bytes, text/plain)
2017-06-08 14:04 EDT, veehexx
no flags Details
File: environ (1.54 KB, text/plain)
2017-06-08 14:04 EDT, veehexx
no flags Details

  None (edit)
Description veehexx 2017-06-08 14:04:25 EDT
Description of problem:
resumed from suspend, entered password to login and this problem was encounter

Version-Release number of selected component:
cinnamon-screensaver-3.4.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        cinnamon-screensaver '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
executable:     /usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py
kernel:         4.10.14-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
stage.py:401:after_power_state_changed:AttributeError: 'NoneType' object has no attribute 'update_revealed'

Traceback (most recent call last):
  File "/usr/share/cinnamon-screensaver/stage.py", line 401, in after_power_state_changed
    self.info_panel.update_revealed()
AttributeError: 'NoneType' object has no attribute 'update_revealed'

Local variables in innermost frame:
self: <stage.Stage object at 0x7f9dcc0850d8 (stage+Stage at 0x55bc997fa260)>
monitor: <monitorView.MonitorView object at 0x7f9dcc08bd80 (monitorView+MonitorView at 0x55bc99b9e180)>
Comment 1 veehexx 2017-06-08 14:04:31 EDT
Created attachment 1286200 [details]
File: backtrace
Comment 2 veehexx 2017-06-08 14:04:32 EDT
Created attachment 1286201 [details]
File: environ
Comment 3 Fedora Update System 2017-06-21 11:55:01 EDT
cinnamon-3.4.2-1.fc25 cinnamon-settings-daemon-3.4.2-1.fc25 nemo-3.4.3-1.fc25 cinnamon-screensaver-3.4.1-1.fc25 cinnamon-session-3.4.1-1.fc25 cinnamon-desktop-3.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4349ca6a71
Comment 4 Fedora Update System 2017-06-22 23:28:17 EDT
cinnamon-3.4.2-1.fc25, cinnamon-desktop-3.4.2-1.fc25, cinnamon-screensaver-3.4.1-1.fc25, cinnamon-session-3.4.1-1.fc25, cinnamon-settings-daemon-3.4.2-1.fc25, nemo-3.4.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4349ca6a71
Comment 5 Fedora Update System 2017-06-23 02:24:27 EDT
cinnamon-3.4.2-1.fc26, cinnamon-desktop-3.4.2-1.fc26, cinnamon-screensaver-3.4.1-1.fc26, cinnamon-session-3.4.1-1.fc26, cinnamon-settings-daemon-3.4.2-1.fc26, cinnamon-themes-2017.06.20-1.fc26, nemo-3.4.3-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c829d3d6cd
Comment 6 Fedora Update System 2017-06-23 10:20:09 EDT
cinnamon-3.4.2-1.fc26, cinnamon-desktop-3.4.2-1.fc26, cinnamon-screensaver-3.4.1-1.fc26, cinnamon-session-3.4.1-1.fc26, cinnamon-settings-daemon-3.4.2-1.fc26, cinnamon-themes-2017.06.20-1.fc26, nemo-3.4.3-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2017-06-23 16:53:45 EDT
cinnamon-3.4.2-1.fc25, cinnamon-desktop-3.4.2-1.fc25, cinnamon-screensaver-3.4.1-1.fc25, cinnamon-session-3.4.1-1.fc25, cinnamon-settings-daemon-3.4.2-1.fc25, nemo-3.4.3-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.